:: This script is called devel.bat NOT setup.bat, because firstly, it is for compiling GS2
:: and secondly, this script wipes out PATH and sets it from scratch. Running the toplevel GS2 setup.bat
:: will invoke any setup.bat in this local folder, and if this script were called setup.bat it would wipe
:: out the Greenstone PATH environment as adjusted by GS2 so we'd not be able to run any Greenstone scripts
:: despite sourcing GS2's toplevel setup.bat. Hence this script is called devel.bat.


:: Get the strawberry perl we use for GS from http://trac.greenstone.org/browser/main/trunk/release-kits/shared/windows/perl.zip?rev=head
:: this is referred to below as strawberry-perl32no64

set JAVA_HOME=C:\Program Files\Java\jdk1.7.0_55

:: NOTE: we are indeed wiping out PATH and setting it from scratch. This follows what the releasekits do each night when generating GS2-caveat
:: and that always seems to successfully compile apache-httpd in one go. So after setting PATH from scratch here, we only need to worry about
:: race conditions affecting GS2 compiling (particularly apache-httpd) on recompile of GS2. In that case, just delete gs2-svn\apache-httpd\windows\error
:: and retry recompilation with makegs2x64.bat, or just plain retry recompilation with that script.

set PATH=%JAVA_HOME%\bin;C:\strawberry-perl32no64\perl\bin;C:\Program Files\SlikSvn\bin;%PATH%

::set PATH=%JAVA_HOME%\bin;C:\strawberry-perl32no64\perl\bin;C:\Program Files\SlikSvn\bin;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Program Files (x86)\putty;C:\Program Files (x86)\linuxtools
::set PATH=%JAVA_HOME%\bin;C:\strawberry-perl32no64\perl\bin;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;
:: REMOVING CMake from PATH:
rem C:\Program Files (x86)\Java\jdk1.8.0_65\bin;C:\ProgramData\Oracle\Java\javapath;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files\Microsoft Windows Performance Toolkit\;c:\Program Files (x86)\Microsoft SQL Server\90\Tools\binn\;C:\Program Files (x86)\Windows Kits\8.1\Windows Performance Toolkit\;C:\Program Files\Microsoft SQL Server\110\Tools\Binn\;C:\Program Files\nodejs\;C:\Program Files\SlikSvn\bin;C:\Program Files\Git\cmd;C:\Users\Anupama\AppData\Roaming\npm
rem %PATH%

:: Microsoft SDK is needed only if compiling GS2 with debugging on,
:: but regular compiling (without debugging on) will also work with MS SDK environment:
pushd "C:\Program Files\Microsoft SDKs\Windows\v7.1\Bin"
call "SetEnv.Cmd"
popd

:: MS Visual Studio needed to compile GS2
pushd "C:\Program Files (x86)\Microsoft Visual Studio 9.0\Common7\Tools\"
call vsvars32.bat
popd

